Bug 304317

Summary: kcm_fonts should use $XDG_CONFIG_HOME/fontconfig/fonts.conf for storage settings for fontconfig > 2.10.0
Product: systemsettings Reporter: Funda Wang <fundawang>
Component: kcm_fontsAssignee: rik
Status: RESOLVED FIXED    
Severity: wishlist CC: adaptee, bugs, cfeck, johann.hoechtl, kevin.kofler, rdieter, scarpino
Priority: NOR    
Version: 4.8.90 (beta2)   
Target Milestone: ---   
Platform: unspecified   
OS: Other   
Latest Commit: Version Fixed In: 4.9.4

Description Funda Wang 2012-07-31 08:06:57 UTC
Since fontconfig 2.10, ~/fonts.conf is deprecated in favour of $XDG_CONFIG_HOME/fontconfig/fonts.conf.

Please review patch here:
http://svnweb.mageia.org/packages/cauldron/kdebase4-workspace/current/SOURCES/kdebase-workspace-4.9.0-fontconfigdir.patch

Reproducible: Always
Comment 1 Jekyll Wu 2012-10-14 14:24:43 UTC
Funda, it is better to submit patch onto reviewboard.kde.org
Comment 2 Kevin Kofler 2012-10-26 21:26:41 UTC
It was pointed out to us by one of our users on #fedora-kde IRC that the patch does not work properly as is, because the directory isn't created anywhere. Saving the file to a nonexistent directory then fails.

Rex Dieter made a fixed version:
http://pkgs.fedoraproject.org/cgit/kde-workspace.git/tree/kde-workspace-4.9.2-fontconfigdir.patch
Comment 3 Graeme Hewson 2012-11-15 16:19:23 UTC
What's happening with this? I don't see it in the pending reviews.

After upgrading to Kubuntu 12.10, I got the following message from several applications:
"Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated."

I've now worked around the problem by setting $XDG_CONFIG_HOME.
Comment 4 Rex Dieter 2012-11-16 15:46:47 UTC
Git commit ffbe409529a1a5b550cf730e748393e8eb3c3a27 by Rex Dieter.
Committed on 16/11/2012 at 16:42.
Pushed by rdieter into branch 'KDE/4.9'.

support $XDG_CONFIG_HOME/fontconfig/fonts.conf
FIXED-IN: 4.9.4

fontconfig > 2.10.0 supports putting it's user config at
$XDG_CONFIG_HOME/fontconfig/fonts.conf now.

M  +14   -1    kcontrol/fonts/kxftconfig.cpp

http://commits.kde.org/kde-workspace/ffbe409529a1a5b550cf730e748393e8eb3c3a27
Comment 5 Rex Dieter 2012-11-16 15:47:49 UTC
Git commit 9650e560d8d8b807b744a09ccc02c1545490e087 by Rex Dieter.
Committed on 16/11/2012 at 16:42.
Pushed by rdieter into branch 'master'.

support $XDG_CONFIG_HOME/fontconfig/fonts.conf
FIXED-IN: 4.9.4

fontconfig > 2.10.0 supports putting it's user config at
$XDG_CONFIG_HOME/fontconfig/fonts.conf now.

M  +14   -1    kcontrol/fonts/kxftconfig.cpp

http://commits.kde.org/kde-workspace/9650e560d8d8b807b744a09ccc02c1545490e087
Comment 6 Johann Höchtl 2013-05-03 10:41:48 UTC
I am uncertain wheather to open a new bug or append to this.

Description: When I open font settings 

(Computer/System settings/Application Appearance/Fonts)

a file .config/fontconfig/fonts.conf

get's written. However, the settings written to this file cause fonts to look "strange". They appear to be thiner than regular, missing some hinting.

It seems as either

* no file should be written all, as long no settings are changed, and afterwards
* the current font settings seem to be errouneusy determinded and written as configuration.

Deleting the folder .config/fontconfig

restaurates correct font appearance.
Comment 7 Johann Höchtl 2013-05-03 10:47:16 UTC
Oh my, forgot to mention:

Clean Kubuntu 13.04 install (4.10.2)
Comment 8 Christoph Feck 2013-05-03 12:00:52 UTC
Johann, what you see is bug 245664.
Comment 9 Johann Höchtl 2013-05-03 19:24:34 UTC
On 2013-05-03 14:00, Christoph Feck wrote:
> https://bugs.kde.org/show_bug.cgi?id=304317
>
> --- Comment #8 from Christoph Feck <christoph@maxiom.de> ---
> Johann, what you see is bug 245664.
>
Sorry for the noise in a closed bug ... wow, that is an old bug ...

Johann